<?php declare(strict_types=1);

namespace massivedynamic\lucidity\exceptions;

use Exception;
use Throwable;

class UnknownValidatorException extends Exception {
	public function __construct(string $validator, ?Throwable $previous = null) {
		parent::__construct("Unknown validator '$validator'", 1000, $previous);
	}
}
