<?php declare(strict_types=1);

namespace massivedynamic\lucidity\services;

use mysqli;

use massivedynamic\lucidity\Utils;
use massivedynamic\lucidity\services\Service;

class Database extends mysqli implements Service {
	public static function PrimitiveTypeToBindParam(string $type) : string {
		switch($type) {
			case "bool":
				return "i";
			case "string":
				return "s";
			case "int":
				return "i";
			case "float":
				return "d";
			default:
				return "X";
		}
	}
}
